Apache Tomcat 7.0.42

## org.apache.tomcat.util.net
Interface SecureNioChannel.ApplicationBufferHandler

All Known Implementing Classes:
  NioEndpoint.NioBufferHandler

Enclosing class:
  SecureNioChannel

    public static interface SecureNioChannel.ApplicationBufferHandler

Callback interface to be able to expand buffers when buffer overflow exceptions happen

Method Summary
`ByteBuffer` `expand(ByteBuffer buffer, int remaining)`
`ByteBuffer` `getReadBuffer()`
`ByteBuffer` `getWriteBuffer()`

Method Detail

### expand

    ByteBuffer expand(ByteBuffer buffer,
                      int remaining)

### getReadBuffer

    ByteBuffer getReadBuffer()

### getWriteBuffer

    ByteBuffer getWriteBuffer()

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.